<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.huashe.park</groupId>
    <artifactId>bd-park</artifactId>
    <version>1.0-SNAPSHOT</version>
    <packaging>pom</packaging>

    <modules>
        <module>park-application</module>
        <module>park-core</module>
        <module>park-common</module>
        <module>park-infrastructure</module>
        <module>park-domain</module>
        <module>park-cloud</module>
        <module>park-collect</module>
    </modules>

    <description>
        智慧园区管控
    </description>
    <properties>
        <ruoyi.version>3.8.8</ruoyi.version>
        <ruoyi.cloud.version>3.6.4</ruoyi.cloud.version>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <java.version>1.8</java.version>
        <spring-boot.version>2.7.18</spring-boot.version>
        <maven-jar-plugin.version>3.1.1</maven-jar-plugin.version>
        <spring-framework.version>5.3.33</spring-framework.version>
        <spring-security.version>5.7.12</spring-security.version>
        <druid.version>1.2.23</druid.version>
        <bitwalker.version>1.21</bitwalker.version>
        <swagger.version>3.0.0</swagger.version>
        <kaptcha.version>2.3.3</kaptcha.version>
        <pagehelper.boot.version>1.4.7</pagehelper.boot.version>
        <fastjson.version>2.0.53</fastjson.version>
        <oshi.version>6.6.1</oshi.version>
        <commons.io.version>2.13.0</commons.io.version>
        <poi.version>4.1.2</poi.version>
        <velocity.version>2.3</velocity.version>
        <jwt.version>0.9.1</jwt.version>
        <forest.version>1.6.3</forest.version>
        <cffu.version>1.0.0-Alpha19</cffu.version>
        <jts.version>1.18.2</jts.version>
        <mqttstarter.version>2.3.7</mqttstarter.version>
        <spring-cloud-alibaba.version>2021.0.5.0</spring-cloud-alibaba.version>
        <math.version>3.6.1</math.version>
        <park.version>1.0-SNAPSHOT</park.version>
        <java.ws.version>1.5.2</java.ws.version>
        <hutool.version>5.8.26</hutool.version>
        <swagger.fox.version>3.0.0</swagger.fox.version>
        <prod-commons.version>1.0-SNAPSHOT</prod-commons.version>
        <transmittable-thread-local.version>2.14.4</transmittable-thread-local.version>
        <fastexcel.version>1.1.0</fastexcel.version>
        <paho.version>1.2.5</paho.version>
        <common.collect>4.4</common.collect>
        <geotools.version>20.0</geotools.version>
        <jsqlparser.version>4.6</jsqlparser.version>
    </properties>

    <!-- 依赖声明 -->
    <dependencyManagement>
        <dependencies>

            <!-- SpringFramework的依赖配置-->
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-framework-bom</artifactId>
                <version>${spring-framework.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <!-- SpringSecurity的依赖配置-->
            <dependency>
                <groupId>org.springframework.security</groupId>
                <artifactId>spring-security-bom</artifactId>
                <version>${spring-security.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <!-- SpringBoot的依赖配置-->
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-dependencies</artifactId>
                <version>${spring-boot.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <!-- SpringCloud Alibaba 微服务 -->
            <dependency>
                <groupId>com.alibaba.cloud</groupId>
                <artifactId>spring-cloud-alibaba-dependencies</artifactId>
                <version>${spring-cloud-alibaba.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <!-- 阿里数据库连接池 -->
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>druid-spring-boot-starter</artifactId>
                <version>${druid.version}</version>
            </dependency>

            <!-- 解析客户端操作系统、浏览器等 -->
            <dependency>
                <groupId>eu.bitwalker</groupId>
                <artifactId>UserAgentUtils</artifactId>
                <version>${bitwalker.version}</version>
            </dependency>

            <!-- pagehelper 分页插件 -->
            <dependency>
                <groupId>com.github.pagehelper</groupId>
                <artifactId>pagehelper-spring-boot-starter</artifactId>
                <version>${pagehelper.boot.version}</version>
            </dependency>

            <!-- 获取系统信息 -->
            <dependency>
                <groupId>com.github.oshi</groupId>
                <artifactId>oshi-core</artifactId>
                <version>${oshi.version}</version>
            </dependency>

            <!-- Swagger3依赖 -->
            <dependency>
                <groupId>io.springfox</groupId>
                <artifactId>springfox-boot-starter</artifactId>
                <version>${swagger.version}</version>
                <exclusions>
                    <exclusion>
                        <groupId>io.swagger</groupId>
                        <artifactId>swagger-models</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>

            <!-- io常用工具类 -->
            <dependency>
                <groupId>commons-io</groupId>
                <artifactId>commons-io</artifactId>
                <version>${commons.io.version}</version>
            </dependency>

            <!-- excel工具 -->
            <dependency>
                <groupId>org.apache.poi</groupId>
                <artifactId>poi-ooxml</artifactId>
                <version>${poi.version}</version>
            </dependency>

            <!-- velocity代码生成使用模板 -->
            <dependency>
                <groupId>org.apache.velocity</groupId>
                <artifactId>velocity-engine-core</artifactId>
                <version>${velocity.version}</version>
            </dependency>

            <!-- 阿里JSON解析器 -->
            <dependency>
                <groupId>com.alibaba.fastjson2</groupId>
                <artifactId>fastjson2</artifactId>
                <version>${fastjson.version}</version>
            </dependency>

            <!-- Token生成与解析-->
            <dependency>
                <groupId>io.jsonwebtoken</groupId>
                <artifactId>jjwt</artifactId>
                <version>${jwt.version}</version>
            </dependency>

            <!-- 验证码 -->
            <dependency>
                <groupId>pro.fessional</groupId>
                <artifactId>kaptcha</artifactId>
                <version>${kaptcha.version}</version>
            </dependency>

            <!-- 定时任务-->
            <dependency>
                <groupId>com.huashe.application</groupId>
                <artifactId>ruoyi-quartz</artifactId>
                <version>${ruoyi.version}</version>
            </dependency>
            <!-- 线程传递值 -->
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>transmittable-thread-local</artifactId>
                <version>${transmittable-thread-local.version}</version>
            </dependency>
            <!-- 代码生成-->
            <dependency>
                <groupId>com.huashe.application</groupId>
                <artifactId>ruoyi-generator</artifactId>
                <version>${ruoyi.version}</version>
            </dependency>

            <!-- 核心模块-->
            <dependency>
                <groupId>com.huashe.application</groupId>
                <artifactId>ruoyi-framework</artifactId>
                <version>${ruoyi.version}</version>
            </dependency>

            <!-- 系统模块-->
            <dependency>
                <groupId>com.huashe.application</groupId>
                <artifactId>ruoyi-system</artifactId>
                <version>${ruoyi.version}</version>
            </dependency>

            <!-- 通用工具-->
            <dependency>
                <groupId>com.huashe.application</groupId>
                <artifactId>ruoyi-common</artifactId>
                <version>${ruoyi.version}</version>
            </dependency>

            <dependency>
                <groupId>com.dtflys.forest</groupId>
                <artifactId>forest-spring-boot-starter</artifactId>
                <version>${forest.version}</version>
            </dependency>
            <dependency>
                <groupId>io.foldright</groupId>
                <artifactId>cffu</artifactId>
                <version>${cffu.version}</version>
            </dependency>
            <dependency>
                <groupId>org.locationtech.jts</groupId>
                <artifactId>jts-core</artifactId>
                <version>${jts.version}</version>
            </dependency>
            <dependency>
                <groupId>net.dreamlu</groupId>
                <artifactId>mica-mqtt-client-spring-boot-starter</artifactId>
                <version>${mqttstarter.version}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-math3</artifactId>
                <version>${math.version}</version>
            </dependency>
            <dependency>
                <groupId>com.huashe.park</groupId>
                <artifactId>park-domain</artifactId>
                <version>${park.version}</version>
            </dependency>
            <dependency>
                <groupId>com.huashe.park</groupId>
                <artifactId>park-common</artifactId>
                <version>${park.version}</version>
            </dependency>
            <dependency>
                <groupId>com.huashe.park</groupId>
                <artifactId>park-core</artifactId>
                <version>${park.version}</version>
            </dependency>
            <dependency>
                <groupId>cn.hutool</groupId>
                <artifactId>hutool-bom</artifactId>
                <version>${hutool.version}</version>
                <type>pom</type>
                <!-- 注意这里是import -->
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>com.huashe.common</groupId>
                <artifactId>prod-commons</artifactId>
                <version>${prod-commons.version}</version>
            </dependency>
            <dependency>
                <groupId>org.java-websocket</groupId>
                <artifactId>Java-WebSocket</artifactId>
                <version>${java.ws.version}</version>
            </dependency>
            <!-- cloud-->
            <!-- 核心模块 -->
            <dependency>
                <groupId>com.huashe.cloud</groupId>
                <artifactId>ruoyi-common-core</artifactId>
                <version>${ruoyi.cloud.version}</version>
            </dependency>

            <!-- 接口模块 -->
            <dependency>
                <groupId>com.huashe.cloud</groupId>
                <artifactId>ruoyi-common-swagger</artifactId>
                <version>${ruoyi.cloud.version}</version>
            </dependency>

            <!-- 安全模块 -->
            <dependency>
                <groupId>com.huashe.cloud</groupId>
                <artifactId>ruoyi-common-security</artifactId>
                <version>${ruoyi.cloud.version}</version>
            </dependency>

            <!-- 数据脱敏 -->
            <dependency>
                <groupId>com.huashe.cloud</groupId>
                <artifactId>ruoyi-common-sensitive</artifactId>
                <version>${ruoyi.cloud.version}</version>
            </dependency>

            <!-- 权限范围 -->
            <dependency>
                <groupId>com.huashe.cloud</groupId>
                <artifactId>ruoyi-common-datascope</artifactId>
                <version>${ruoyi.cloud.version}</version>
            </dependency>

            <!-- 多数据源 -->
            <dependency>
                <groupId>com.huashe.cloud</groupId>
                <artifactId>ruoyi-common-datasource</artifactId>
                <version>${ruoyi.cloud.version}</version>
            </dependency>

            <!-- 分布式事务 -->
            <dependency>
                <groupId>com.huashe.cloud</groupId>
                <artifactId>ruoyi-common-seata</artifactId>
                <version>${ruoyi.cloud.version}</version>
            </dependency>

            <!-- 日志记录 -->
            <dependency>
                <groupId>com.huashe.cloud</groupId>
                <artifactId>ruoyi-common-log</artifactId>
                <version>${ruoyi.cloud.version}</version>
            </dependency>

            <!-- 缓存服务 -->
            <dependency>
                <groupId>com.huashe.cloud</groupId>
                <artifactId>ruoyi-common-redis</artifactId>
                <version>${ruoyi.cloud.version}</version>
            </dependency>

            <!-- 系统接口 -->
            <dependency>
                <groupId>com.huashe.cloud</groupId>
                <artifactId>ruoyi-api-system</artifactId>
                <version>${ruoyi.cloud.version}</version>
            </dependency>
            <!-- 分布式事务 -->
            <dependency>
                <groupId>com.huashe.cloud</groupId>
                <artifactId>ruoyi-common-quartz</artifactId>
                <version>${ruoyi.cloud.version}</version>
            </dependency>
            <!-- https://mvnrepository.com/artifact/cn.idev.excel/fastexcel -->
            <dependency>
                <groupId>cn.idev.excel</groupId>
                <artifactId>fastexcel</artifactId>
                <version>${fastexcel.version}</version>
            </dependency>
            <dependency>
                <groupId>org.eclipse.paho</groupId>
                <artifactId>org.eclipse.paho.client.mqttv3</artifactId>
                <version>${paho.version}</version>
            </dependency>

            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-collections4</artifactId>
                <version>${common.collect}</version>
            </dependency>
            <dependency>
                <groupId>com.github.jsqlparser</groupId>
                <artifactId>jsqlparser</artifactId>
                <version>${jsqlparser.version}</version>
            </dependency>
            <dependency>
                <groupId>org.geotools</groupId>
                <artifactId>gt-api</artifactId>
                <version>${geotools.version}</version>
                <exclusions>
                    <exclusion>
                        <groupId>javax.media</groupId>
                        <artifactId>jai_core</artifactId>
                    </exclusion>
                    <exclusion>
                        <groupId>jgridshift</groupId>
                        <artifactId>jgridshift</artifactId>
                    </exclusion>
                    <exclusion>
                        <groupId>commons-pool</groupId>
                        <artifactId>commons-pool</artifactId>
                    </exclusion>
                    <exclusion>
                        <groupId>net.sf.geographiclib</groupId>
                        <artifactId>GeographicLib-Java</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>
            <dependency>
                <groupId>org.geotools</groupId>
                <artifactId>gt-epsg-hsql</artifactId>
                <version>${geotools.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>
    <repositories>
        <repository>
            <id>nexus</id>
            <name>Team Nexus Repository</name>
            <url>http://maven.xt.wenhq.top:8083/repository/maven-public/</url>
            <snapshots>
                <enabled>true</enabled>
                <updatePolicy>always</updatePolicy>
                <checksumPolicy>warn</checksumPolicy>
            </snapshots>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>always</updatePolicy>
                <checksumPolicy>warn</checksumPolicy>
            </releases>
        </repository>
    </repositories>

    <distributionManagement>
        <repository>
            <id>hs-private-repo</id>
            <url>http://maven.xt.wenhq.top:8083/repository/maven-releases/</url>
        </repository>
        <snapshotRepository>
            <id>hs-private-snapshot-repo</id>
            <url>http://maven.xt.wenhq.top:8083/repository/maven-snapshots/</url>
        </snapshotRepository>
    </distributionManagement>

    <pluginRepositories>
        <pluginRepository>
            <id>nexus</id>
            <name>Team Nexus Repository</name>
            <url>http://maven.xt.wenhq.top:8083/repository/maven-public/</url>
        </pluginRepository>
    </pluginRepositories>
</project>
